Subject: Re: bug#76723: 30.1; M-x shortdoc seq should work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Mar 2025 15:56:31 +0200

> From: Charles Choi <[email-masked]>
> Date: Mon, 3 Mar 2025 13:25:58 -0800
> 
> *** Title
> M-x shortdoc seq should work
> 
> *** Description
> In looking for documentation for the seq library, I tried M-x shortdoc seq. To get it I must instead type "sequence" which is confusing and not discoverable.

Why did you expect Emacs to have a group named "seq"?  Documentation
groups are not package names, they are a separate set of symbols that
define relatively high-level groups of objects, such as "strings"

> *** Steps to Reproduce
> 1. Enter M-x shortdoc seq

When you type "M-x shortdoc RET", Emacs prompts you for the group.
Type '?', and Emacs will pop up a buffer with the list of known
groups.  Select one of them if you want meaningful results.

> *** Actual Result
> I get the message "No such documentation group seq"

I think this is by design.